/****************************************************************************
* NVMC                                                                      *
* Visual and Computer Graphics Library                                      *
*                                                                           *
* Copyright(C) 2007                                                         *
* ISTI - Italian National Research Council                                  *
*                                                                           *
* All rights reserved.                                                      *
*                                                                           *
* This program is free software; you can redistribute it and/or modify      *   
* it under the terms of the GNU General Public License as published by      *
* the Free Software Foundation; either version 2 of the License, or         *
* (at your option) any later version.                                       *
*                                                                           *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
* GNU General Public License (http://www.gnu.org/licenses/gpl.txt)          *
* for more details.															*
*																			*
* lallopizzi giancarlo														*
*                                                                           *
****************************************************************************/


//Carica il modello della macchina
void initCar();
//Disegna la macchina
void drawCar(vcg::Matrix44f myf);
//Disegna l'ombra della macchina
void drawShadowCar();
//Trackball Aplly
void trackApply(bool map, vcg::Point3f pos);
//Trackball post draw
void trackPostDraw();
//Track ball reset
void trackReset();
//Gestore evento del maouse per la tackball
void mouse_event(SDL_Event e);