/****************************************************************************
* NVMC                                                                      *
* Visual and Computer Graphics Library                                      *
*                                                                           *
* Copyright(C) 2007                                                         *
* ISTI - Italian National Research Council                                  *
*                                                                           *
* All rights reserved.                                                      *
*                                                                           *
* This program is free software; you can redistribute it and/or modify      *   
* it under the terms of the GNU General Public License as published by      *
* the Free Software Foundation; either version 2 of the License, or         *
* (at your option) any later version.                                       *
*                                                                           *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
* GNU General Public License (http://www.gnu.org/licenses/gpl.txt)          *
* for more details.															*
*																			*
* lallopizzi giancarlo														*
*                                                                           *
****************************************************************************/


//Ridimensiona la viewport
void resize_screen(int w, int h);
//Stampa a video in sovraimpressione
void gl_print(float, float, const char *);
void draw_commands();
//disegna gli assi RGB -> XYZ
void draw_axis();
//Disegna il circuito
void drawCircuit();

//Disegna il terreno
void drawTerrain();
//Rotazione per billboarding
void billboarding();
//Disegna gli alberi
void drawTrees();
//Disegna un cubo di lato unitario
void draw_unit_cube(bool cubeMap);
//Disegna i palazzi
void drawBuildings(bool shadow);
//Disegna skybox
void drawSkyBox();
void ReduceToUnit(float vector[3]);
void calcNormal(float v[3][3], float out[3]);
void MakeShadowMatrix();
void setFog();
void drawTunnel();
