#ifndef _NVMC_CLIENT5_TUNNEL_
#define _NVMC_CLIENT5_TUNNEL_

#include <iostream>
#include <vector>
#include <vcg/space/point3.h>
#include <vcg/space/box2.h>

struct Token {
	GLdouble b,d;
	vcg::Point3f x,z;
	vcg::Point3f pivot;
	vcg::Box2f bbox;
};

struct Tunnel {
	float height;
	vcg::Box2f bbox;
	std::vector<Token> footprint;
};

void loadTunnels();
void drawTunnel(std::vector<Tunnel>::iterator t, vcg::Point3f &pov, vcg::Point3f &pov2);
void drawTunnels(vcg::Point3f &position, vcg::Point3f &pov, vcg::Point3f &pov2);
bool IsInTunnel(vcg::Point3f &position);

#endif